Use a spending limit to transfer tokens
curl --request POST \
--url https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit/{spending_limit_address}/transactions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"amount": 1,
"recipient_address": "<string>",
"signer_address": "<string>"
}
'import requests
url = "https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit/{spending_limit_address}/transactions"
payload = {
"amount": 1,
"recipient_address": "<string>",
"signer_address": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({amount: 1, recipient_address: '<string>', signer_address: '<string>'})
};
fetch('https://grid.squads.xyz/api/grid/v1/accounts/{address}/spending-limit/{spending_limit_address}/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"kms_payloads": [
{
"address": "<string>",
"payload": "<string>"
}
],
"transaction": "<string>",
"transaction_signers": [
"<string>"
]
}Spending Limits
Use Spending Limit
Execute a transaction using the spending limit
POST
/
api
/
grid
/
v1
/
accounts
/
{address}
/
spending-limit
/
{spending_limit_address}
/
transactions
Use a spending limit to transfer tokens
Authorizations
Your Grid API key from the Grid Dashboard
Path Parameters
Smart account address
Spending limit address
Body
application/json
Was this page helpful?
⌘I